Skip to main content
`Ctrl`+`K`

# PetscRegressorAppendOptionsPrefix

Appends to the prefix used for searching for all PetscRegressor options in the database.

## Synopsis

    PetscErrorCode PetscRegressorAppendOptionsPrefix(PetscRegressor regressor, const char p[])

Logically Collective

## Input Parameters

- regressor - the `PetscRegressor` solver context

- p - the prefix string to prepend to all `PetscRegressor` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is automatically the hyphen.

## See Also

PetscRegressor: Regression Solvers, `PetscRegressor`, `PetscRegressorSetFromOptions()`, `PetscRegressorSetOptionsPrefix()`, `PetscRegressorGetOptionsPrefix()`

## Level

advanced

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages